diff --git a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/static/js/subscription.js b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/static/js/subscription.js
index 7227991db..d1986c1fe 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/static/js/subscription.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/static/js/subscription.js
@@ -405,13 +405,13 @@ define('pgadmin.node.subscription', [
           type: 'switch', mode: ['create','edit', 'properties'],
           group: gettext('With'),
           readonly: 'isConnect', deps :['connect'],
-          helpMessage: gettext('Specifies whether the subscription should be actively replicating, or whether it should be just setup but not started yet. '),
+          helpMessage: gettext('Specifies whether the subscription should be actively replicating, or whether it should be just setup but not started yet.'),
         },
         {
           id: 'refresh_pub', label: gettext('Refresh publication?'),
           type: 'switch', mode: ['edit'],
           group: gettext('With'),
-          helpMessage: gettext('Fetch missing table information from publisher. '),
+          helpMessage: gettext('Fetch missing table information from publisher.'),
           deps:['enabled'], disabled: function(m){
             if (m.get('enabled'))
               return false;
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/server.js b/web/pgadmin/browser/server_groups/servers/static/js/server.js
index ffd715f8e..b1d88e4b7 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/server.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/server.js
@@ -121,7 +121,7 @@ define('pgadmin.node.server', [
           applies: ['object'], callback: 'change_password',
           label: gettext('Change Password...'), priority: 10,
           icon: 'fa fa-lock', enable : 'is_connected',data: {
-            data_disabled: gettext('Please connect server to enable change password. '),
+            data_disabled: gettext('Please connect server to enable change password.'),
           },
         },{
           name: 'wal_replay_pause', node: 'server', module: this,
diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index ba84ca41c..e866d5c48 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -920,7 +920,7 @@ define('pgadmin.browser', [
         $dropdown.empty();
         if(o.menu == 'help'){
           $dropdown.append('<div id="quick-search-component"></div>');
-          $dropdown.append('<div class="menu-groups"><span class="fa fa-list" style="font-weight:900 !important;"></span> &nbsp;SUGGESTED SITES</div>');
+          $dropdown.append('<div class="menu-groups"><span class="fa fa-list" style="font-weight:900 !important;"></span> &nbsp;' + gettext('SUGGESTED SITES') + '</div>');
         }
 
         if (pgAdmin.Browser.MenuCreator(
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 0d5f46bbb..612e1ab6d 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -1130,7 +1130,7 @@ define([
 
       this.gridColumns = [{
         name: 'isDefault',
-        label: 'Set as default',
+        label: gettext('Set as default'),
         sortable: false,
         cell: Backgrid.RadioCell,
         cellHeaderClasses: 'width_percent_10',
@@ -1149,14 +1149,14 @@ define([
         }
       }, {
         name: 'serverType',
-        label: 'Database Server',
+        label: gettext('Database Server'),
         editable: false,
         cell: 'string',
         cellHeaderClasses: 'width_percent_20',
         headerCell: Backgrid.Extension.CustomHeaderCell,
       }, {
         name: 'binaryPath',
-        label: 'Binary Path',
+        label: gettext('Binary Path'),
         sortable: false,
         cell: Backgrid.Extension.SelectFileCell,
         dialog_type: 'select_folder',
@@ -1193,7 +1193,7 @@ define([
       this.$el.empty();
       this.$el.append(gridBody.append(self.grid.render().$el));
       this.$el.append(['<span class="pg-el-sm-12 form-text text-muted help-block">' +
-      gettext(' Enter the directory in which the psql, pg_dump, pg_dumpall, and pg_restore' +
+      gettext('Enter the directory in which the psql, pg_dump, pg_dumpall, and pg_restore' +
       ' utilities can be found for the corresponding database server version.' +
       ' The default path will be used for server versions that do not have a' +
       ' path specified.') + '</span>'].join('\n'));
diff --git a/web/pgadmin/tools/erd/static/js/erd_tool/ui_components/BodyWidget.jsx b/web/pgadmin/tools/erd/static/js/erd_tool/ui_components/BodyWidget.jsx
index 05a55fca6..0fedead25 100644
--- a/web/pgadmin/tools/erd/static/js/erd_tool/ui_components/BodyWidget.jsx
+++ b/web/pgadmin/tools/erd/static/js/erd_tool/ui_components/BodyWidget.jsx
@@ -332,12 +332,12 @@ export default class BodyWidget extends React.Component {
     let dialog = this.getDialog('entity_dialog');
     if(node) {
       let [schema, table] = node.getSchemaTableName();
-      dialog(_.escape(`Table: ${table} (${schema})`), node.getData(), false, (newData)=>{
+      dialog(gettext('Table: %s (%s)', _.escape(table),_.escape(schema)), node.getData(), false, (newData)=>{
         node.setData(newData);
         this.diagram.repaint();
       });
     } else {
-      dialog('New table', {name: this.diagram.getNextTableName()}, true, (newData)=>{
+      dialog(gettext('New table'), {name: this.diagram.getNextTableName()}, true, (newData)=>{
         let newNode = this.diagram.addNode(newData);
         newNode.setSelected(true);
       });
@@ -655,7 +655,7 @@ export default class BodyWidget extends React.Component {
   onOneToManyClick() {
     let dialog = this.getDialog('onetomany_dialog');
     let initData = {local_table_uid: this.diagram.getSelectedNodes()[0].getID()};
-    dialog('One to many relation', initData, (newData)=>{
+    dialog(gettext('One to many relation'), initData, (newData)=>{
       let newLink = this.diagram.addLink(newData, 'onetomany');
       this.diagram.clearSelection();
       newLink.setSelected(true);
@@ -666,7 +666,7 @@ export default class BodyWidget extends React.Component {
   onManyToManyClick() {
     let dialog = this.getDialog('manytomany_dialog');
     let initData = {left_table_uid: this.diagram.getSelectedNodes()[0].getID()};
-    dialog('Many to many relation', initData, (newData)=>{
+    dialog(gettext('Many to many relation'), initData, (newData)=>{
       let nodes = this.diagram.getModel().getNodesDict();
       let left_table = nodes[newData.left_table_uid];
       let right_table = nodes[newData.right_table_uid];
